# Generated by Django 2.2.3 on 2019-07-26 13:30

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Auc_lot',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title_a', models.TextField()),
                ('price_a', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Shop_lot',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title_s', models.TextField()),
                ('price_s', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Userecon',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('teleusername', models.TextField()),
                ('teleuser_id', models.IntegerField(default=1)),
                ('ilos', models.IntegerField(default=0)),
                ('check', models.BooleanField(default=False)),
                ('is_admin', models.BooleanField(default=False)),
                ('wage', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='Log',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('operation', models.TextField()),
                ('date', models.DateField(auto_now_add=True)),
                ('sumilos', models.IntegerField()),
                ('teleuser', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_log', to='interfinance.Userecon')),
            ],
        ),
    ]
